GuideLab API

Revoke clinic-owned autopay

Revokes future off-session charges for this partnership. Only a clinic owner can perform this operation; labs have read-only visibility.

DELETE
/clinic-payment-methods/autopay/{partnershipId}

Revokes future off-session charges for this partnership. Only a clinic owner can perform this operation; labs have read-only visibility.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

partnershipId*string
Length1 <= length

Response Body

application/json

curl -X DELETE "https://example.com/clinic-payment-methods/autopay/string"
{  "enabled": true,  "status": "active",  "consentedAt": "2019-08-24T14:15:22Z",  "revokedAt": "2019-08-24T14:15:22Z",  "suspendedAt": "2019-08-24T14:15:22Z"}
Empty